Name:           python-inflect
Version:        0.2.5
Release:        1%{?dist}
Summary:        Correctly generate plurals, singular nouns, ordinals and indefinite articles

License:        AGPLv3+
URL:            https://pypi.python.org/pypi/inflect
Source0:        https://pypi.python.org/packages/source/i/inflect/inflect-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

# Required for check
BuildRequires:  python-nose

%description
The methods of the class 'engine' in module 'inflect.py' provide plural
inflections, singular noun inflections, "a"/"an" selection for English words,
and manipulation of numbers as words.

Plural forms of all nouns, most verbs, and some adjectives are provided. Where
appropriate, "classical" variants (for example: "brother" -> "brethren",
"dogma" -> "dogmata", etc.) are also provided.

Single forms of nouns are also provided. The gender of singular pronouns can be
chosen (for example "they" -> "it" or "she" or "he" or "they").

Pronunciation-based "a"/"an" selection is provided for all English words, and
most initialisms.

It is also possible to inflect numerals (1,2,3) to ordinals (1st, 2nd, 3rd) and
to English words ("one", "two", "three).

%package -n python3-inflect
Summary:        Correctly generate plurals, singular nouns, ordinals and indefinite articles
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# Required for check
BuildRequires:  python3-nose

%description -n python3-inflect
The methods of the class 'engine' in module 'inflect.py' provide plural
inflections, singular noun inflections, "a"/"an" selection for English words,
and manipulation of numbers as words.

Plural forms of all nouns, most verbs, and some adjectives are provided. Where
appropriate, "classical" variants (for example: "brother" -> "brethren",
"dogma" -> "dogmata", etc.) are also provided.

Single forms of nouns are also provided. The gender of singular pronouns can be
chosen (for example "they" -> "it" or "she" or "he" or "they").

Pronunciation-based "a"/"an" selection is provided for all English words, and
most initialisms.

It is also possible to inflect numerals (1,2,3) to ordinals (1st, 2nd, 3rd) and
to English words ("one", "two", "three).

%prep
%setup -q -n inflect-%{version}

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python2} setup.py build

( cd %{py3dir} && %{__python3} setup.py build )

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

( cd %{py3dir} && %{__python3} setup.py install --skip-build --root %{buildroot} )

%check
%{__python2} setup.py check
( cd %{py3dir} && %{__python3} setup.py check )

%files
%doc CHANGES.txt COPYING.txt README.rst
%{python2_sitelib}/inflect.py*
%{python2_sitelib}/inflect-%{version}-*.egg-info

%files -n python3-inflect
%doc CHANGES.txt COPYING.txt README.rst
%{python3_sitelib}/inflect.py
%{python3_sitelib}/__pycache__/inflect.*.py*
%{python3_sitelib}/inflect-%{version}-*.egg-info

%changelog
* Tue Jan 13 2015 David Shea <dshea@redhat.com> - 0.2.5-1
- Update to inflect-0.2.5, which fixes the following issues:
- Fixed TypeError while parsing compounds (by yavarhusain)
- Fixed encoding issue in setup.py on Python 3

* Mon Jul 21 2014 David Shea <dshea@redhat.com> - 0.2.4-4
- Separate the python2 and python3 buildrequires by package section

* Mon Jul 21 2014 David Shea <dshea@redhat.com> - 0.2.4-3
- Capitalize "English" in the description

* Tue Jul  8 2014 David Shea <dshea@redhat.com> - 0.2.4-2
- Remove rst markup from the description. Oops.

* Tue Jul  8 2014 David Shea <dshea@redhat.com> - 0.2.4-1
- Initial package
